/**
 * 图片预览组件
 * https://github.com/react-ld/react-wx-images-viewer/blob/master/README-cn.md
 * 钟是志
 * 2019年9月18日
 * 主要功能仿照微信图片浏览功能开发。支持单指左右滑动切换图片，双指拖拽放大缩小图片。
 * */

import WxImageViewer from 'react-wx-images-viewer';
import React from 'react';
import PropTypes from 'prop-types';

const ImageViewer = (props) => {
    return (
      <WxImageViewer
        {...props}
        onClose={props.onClose}
        urls={props.urls}
        index={props.index}/>
    )
};

ImageViewer.propTypes = {
  onClose: PropTypes.func.isRequired, //关闭回调函数
  urls: PropTypes.array.isRequired,  // 图片地址数组
  index: PropTypes.number, // 初始图片显示序号.
};
ImageViewer.defaultProps = {
  urls: [],
  index: 0,
};

export default ImageViewer;


